Bug 222195 - cad/freecad: update to 0.17.12018
Summary: cad/freecad: update to 0.17.12018
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-10 13:14 UTC by Thibault Jouan
Modified: 2017-10-15 13:55 UTC (History)
1 user (show)

See Also:
tj+freebsd_ports: maintainer-feedback+


Attachments
cad/freecad update to 0.17.12018 as SVN diff (17.54 KB, patch)
2017-09-10 13:14 UTC, Thibault Jouan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thibault Jouan 2017-09-10 13:14:17 UTC
Created attachment 186227 [details]
cad/freecad update to 0.17.12018 as SVN diff

* Fix built-in version information;
* Use same version numbering for the port as upstream;
* Update to last version;
* Remove patch for src/Base/Console.cpp (fixed upstream);
* Add new patch to remove recent HDF5 build related workarounds;
* Remove myself as maintainer.


I hope it's OK to stop being maintainer this way, I cannot dedicate
myself on this port as much as I would want now.
Also the test suite stopped to pass some time ago, before any update
to FreeCAD itself, so most probably an update of a dependency. But
I've been unsuccessful in understanding/fixing the issue (seems
related to python and threads).

This patch is a SVN diff, updates to the most recent version to this
date, and importantly fixes the version and other detail reported in
the "About FreeCAD" window which is essential when as user we report
issues or ask questions upstream.
Comment 1 Guido Falsi freebsd_committer 2017-10-08 12:41:03 UTC
Committed. Thanks!
Comment 2 commit-hook freebsd_committer 2017-10-08 12:41:08 UTC
A commit references this bug:

Author: madpilot
Date: Sun Oct  8 12:40:34 UTC 2017
New revision: 451522
URL: https://svnweb.freebsd.org/changeset/ports/451522

Log:
  - Update cad/freecad to 0.17.12018
  - Use upstream version numbering
  - Reset maintainership on his request
  - While here, silence portlint warning about USES variable position

  PR:		222195
  Submitted by:	Thibault Jouan <tj+freebsd_ports@a13.fr> (maintainer)

Changes:
  head/cad/freecad/Makefile
  head/cad/freecad/distinfo
  head/cad/freecad/files/patch-CMakeLists.txt
  head/cad/freecad/files/patch-src_Base_Console.cpp
  head/cad/freecad/files/version.h
  head/cad/freecad/pkg-plist
Comment 3 Pedro F. Giffuni freebsd_committer 2017-10-08 12:47:39 UTC
Thanks Thibault for all your help!
Comment 4 Thibault Jouan 2017-10-15 13:07:57 UTC
Thanks for the commit!

I wish I could help more/longer, but I don't even do CAD for now. I
hope to get back to it later, in the meantime I'll try to watch PR for
the port here, in case I can help per any chance.
I will also contact someone that might be interested to take
maintenance.
Comment 5 Guido Falsi freebsd_committer 2017-10-15 13:19:23 UTC
(In reply to Thibault Jouan from comment #4)
> Thanks for the commit!
> 
> I wish I could help more/longer, but I don't even do CAD for now. I
> hope to get back to it later, in the meantime I'll try to watch PR for
> the port here, in case I can help per any chance.

No problem. Maintainership is not mandatory, and resetting a port will pave the road for new volunteers.

> I will also contact someone that might be interested to take
> maintenance.

That would be welcome. Any new volunteer can ask to become maintainer when submitting a patch. For example with thee next update.
Comment 6 Thibault Jouan 2017-10-15 13:55:45 UTC
(In reply to Guido Falsi from comment #5)
> That would be welcome. Any new volunteer can ask to become maintainer when submitting a patch. For example with thee next update.

I just sent a mail to this person.

I also realize now that while I provided detail about how I made the
last update, it was only in private mail. I think this info might be
useful to any volunteer. Should I create a new PR to maybe add comment
in the Makefile? Or any better way?

Here is a note with this info:

---------------------------------------------------------------------
FreeCAD do not tag their releases. A "simple" way to use the same
release versions as upstream is to clone the following git repository:

git://git.launchpad.net/~freecad-maintainers/+git/gitversioning

Then copy the file src/Build/Version.h as cad/freecad/files/version.h
in the port tree. Check the FCRepositoryHash macro and update
GH_TAGNAME in the port Makefile, same thing with FCRevision macro to
update DISTVERSION in the port.

The rest of the update should be as usual.
---------------------------------------------------------------------